Bug 1122130 - Improve Responsiveness on Touchpads for Lenovo T440s/T540p/etc.
Summary: Improve Responsiveness on Touchpads for Lenovo T440s/T540p/etc.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-synaptics
Version: 7.1
Hardware: x86_64
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Peter Hutterer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1093050 1122559
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 15:28 UTC by Jan Kurik
Modified: 2014-08-05 06:34 UTC (History)
10 users (show)

Fixed In Version: xorg-x11-drv-synaptics-1.7.1-10.el7_0.1
Doc Type: Bug Fix
Doc Text:
Updated Synaptics drivers have been implemented which introduce software-emulated button click areas for clickpads on Lenovo *40 hardware. This provides for a smoother user experience while using the Lenovo *40 clickpads. This enhancement requires the kernel-3.10.0-140.el7 version or later to function properly.
Clone Of: 1093050
Environment:
Last Closed: 2014-07-29 22:15:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2014:0990 normal SHIPPED_LIVE xorg-x11-drv-synaptics enhancement update 2014-07-30 02:15:47 UTC

Description Jan Kurik 2014-07-22 15:28:35 UTC
This bug has been copied from bug #1093050 and has been proposed
to be backported to 7.0 z-stream (EUS).

Comment 3 Peter Hutterer 2014-07-23 04:54:02 UTC
MODIFIED

xorg-x11-drv-synaptics-1.7.1-10.el7_0.1 is available in brew

Comment 8 errata-xmlrpc 2014-07-29 22:15:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0990.html

Comment 9 Mike McLean 2014-07-30 19:26:22 UTC
The errata text says "This enhancement requires the kernel-3.10.0-140.el7 version or later to function properly. (BZ#1122130)", but no such kernel seems to have landed yet. Is it a problem to run this build with the older kernel, or is it just that fixing this issue requires both?

Comment 10 Tomas Pelka 2014-07-30 19:40:38 UTC
(In reply to Mike McLean from comment #9)
> The errata text says "This enhancement requires the kernel-3.10.0-140.el7
> version or later to function properly. (BZ#1122130)", but no such kernel
> seems to have landed yet. Is it a problem to run this build with the older
> kernel, or is it just that fixing this issue requires both?

There are bits in kernel allowing userspace driver to work properly. Closest window for kernel update is 16.9.

Tom

Comment 11 Peter Hutterer 2014-08-05 06:34:25 UTC
(In reply to Mike McLean from comment #9)
> Is it a problem to run this build with the older
> kernel, or is it just that fixing this issue requires both?

autoconfiguration of the driver requires both components. Without the updated kernel, the synaptics driver simply won't do anything though a user can set up configuration files to get the new behaviour. This isn't recommended though as the new kernel also fixes some hardware reporting issues.

It is safe to run the updated synaptics driver on an older kernel.


Note You need to log in before you can comment on or make changes to this bug.